# There is a bug in argo-workflows helm chart which does not create this
# configmap despite the settings in values.yaml. So we have to create it
# manually.
apiVersion: v1
kind: ConfigMap
metadata:
  # If you want to use this config map by default,
  # name it "artifact-repositories". Otherwise, you can provide a reference to
  # a different config map in `artifactRepositoryRef.configMap`.
  name: artifact-repositories
  annotations:
    # v3.0 and after - if you want to use a specific key,
    # put that key into this annotation.
    workflows.argoproj.io/default-artifact-repository: artifact-repositories
data:
  artifact-repositories: |
    # s3:
    #   # Note the `key` attribute is not the actual secret, it's the PATH to the
    #   # contents in the associated secret, as defined by the `name` attribute.
    #   accessKeySecret:
    #     name: argo-s3-cred
    #     key: accesskey
    #   secretKeySecret:
    #     name: argo-s3-cred
    #     key: secretkey
    #   insecure: true
    #   bucket: golem-argo
    #   endpoint: s3.golem.oictinternal.cz
    azure:
      endpoint: https://golemgolemio.blob.core.windows.net
      container: golem-argo
      useSDKCreds: false
      accountKeySecret:
        name: application-cred
        key: azureToolsAccountKey
